#!/bin/sh

if test "$1" = ""; then
	echo "Usage: $0 \"<commit-comment>\" [file/directory]"
	exit 1
fi

echo "$0: Reading projects..."
if test "$2" = ""; then
	LIST=`svn status */ | grep "  " | grep -v "X  " | cut -d " " -f 8 | cut -d "/" -f 1 | sort --unique`
else
	LIST=`svn status */*/"$2" | grep "/" | grep -v "X " | cut -d " " -f 8 | cut -d "/" -f 1-2 | sort --unique`
fi

for repos in ${LIST}; do
	echo "$0: Committing in ${repos} ..."
	cd "${repos}" || exit 255
	svn commit -m "$1" "$2"
	cd -
done

exit 0
